<?php

	function oliver_enqueue__inline_style()
	{
		/* Customizer CSS */
		
		$customizer_css = "";
		
		$font_styles 	   = ':400,700,400italic,700italic';
		$extra_font_styles = get_theme_mod('oliver_setting_font_styles', 'No');
		
		if ($extra_font_styles == 'Yes')
		{
			$font_styles = ':100,200,300,400,500,600,700,800,900,100italic,200italic,300italic,400italic,500italic,600italic,700italic,800italic,900italic';
		}
		
		$oliver_setting_font_text_logo      = get_theme_mod('oliver_setting_font_text_logo', "");
		$oliver_setting_font_menu           = get_theme_mod('oliver_setting_font_menu', 'Karla');
		$oliver_setting_font_widget_title   = get_theme_mod('oliver_setting_font_widget_title', 'Karla');
		$oliver_setting_font_h1             = get_theme_mod('oliver_setting_font_h1', 'Coustard');
		$oliver_setting_font_h2_h6          = get_theme_mod('oliver_setting_font_h2_h6', 'Coustard');
		$oliver_setting_font_slider_title   = get_theme_mod('oliver_setting_font_slider_title', 'Coustard');
		$oliver_setting_font_body           = get_theme_mod('oliver_setting_font_body', 'Karla');
		$oliver_setting_intro_font          = get_theme_mod('oliver_setting_intro_font', "");
		$oliver_setting_font_link_box_title = get_theme_mod('oliver_setting_font_link_box_title', 'Coustard');
		
		
		$fonts = array($oliver_setting_font_text_logo,
					   $oliver_setting_font_menu,
					   $oliver_setting_font_widget_title,
					   $oliver_setting_font_h1,
					   $oliver_setting_font_h2_h6,
					   $oliver_setting_font_slider_title,
					   $oliver_setting_font_body,
					   $oliver_setting_intro_font,
					   $oliver_setting_font_link_box_title);
		
		$fonts = array_unique($fonts);
		
		foreach ($fonts as $font)
		{
			if (! empty($font))
			{
				$customizer_css .= "@import '" . oliver_fonts_url($font . $font_styles) . "';" . PHP_EOL;
			}
		}
		
		
		if (! empty($oliver_setting_font_text_logo))
		{
			$customizer_css .= PHP_EOL . ".site-title { font-family: '{$oliver_setting_font_text_logo}'; }";
		}
		
		if (! empty($oliver_setting_font_menu))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".nav-menu, .entry-meta, .owl-buttons, .more-link, label, input[type=submit], input[type=button], button, .button, .page-links, .navigation, .entry-title i, .site-info { font-family: '{$oliver_setting_font_menu}'; }";
		}
		
		if (! empty($oliver_setting_font_widget_title))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".widget-title { font-family: '{$oliver_setting_font_widget_title}'; }";
		}
		
		if (! empty($oliver_setting_font_h1))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "h1, .entry-title, .footer-subscribe h3, .widget_categories ul li, .widget_recent_entries ul li a, .widget_pages ul li, .widget_nav_menu ul li, .widget_archive ul li, .widget_most_recommended_posts ul li a, .widget_calendar table caption, .tptn_title, .nav-single a { font-family: '{$oliver_setting_font_h1}'; }";
		}
		
		if (! empty($oliver_setting_font_h2_h6))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "h2, h3, h4, h5, h6, blockquote, .tab-titles { font-family: '{$oliver_setting_font_h2_h6}'; }";
		}
		
		if (! empty($oliver_setting_font_slider_title))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".slider-box .entry-title { font-family: '{$oliver_setting_font_slider_title}'; }";
		}
		
		if (! empty($oliver_setting_font_body))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "body, input, textarea, select, button { font-family: '{$oliver_setting_font_body}'; }";
		}
		
		if (! empty($oliver_setting_intro_font))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .intro h1 { font-family: '{$oliver_setting_intro_font}'; } }";
		}
		
		if (! empty($oliver_setting_font_link_box_title))
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".link-box .entry-title { font-family: '{$oliver_setting_font_link_box_title}'; }";
		}
		
		
		$oliver_setting_font_size_text_logo = get_theme_mod('oliver_setting_font_size_text_logo', '48');
		
		if ($oliver_setting_font_size_text_logo != '48')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .site-header .site-title { font-size: {$oliver_setting_font_size_text_logo}px; } }";
		}
		
		$oliver_setting_font_size_blog_regular_post_title = get_theme_mod('oliver_setting_font_size_blog_regular_post_title', '40');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .blog-regular .entry-title { font-size: {$oliver_setting_font_size_blog_regular_post_title}px; } }";
		
		
		$oliver_setting_font_size_blog_grid_post_title = get_theme_mod('oliver_setting_font_size_blog_grid_post_title', '24');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .blog-small .entry-title { font-size: {$oliver_setting_font_size_blog_grid_post_title}px; } }";
		
		
		$oliver_setting_font_size_h1 = get_theme_mod('oliver_setting_font_size_h1', '48');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { h1 { font-size: {$oliver_setting_font_size_h1}px; } }";
		
		
		$oliver_setting_font_size_body = get_theme_mod('oliver_setting_font_size_body', '18');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { html { font-size: {$oliver_setting_font_size_body}px; } }";
		
		
		$oliver_setting_font_size_nav_menu = get_theme_mod('oliver_setting_font_size_nav_menu', '12');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .nav-menu > ul { font-size: {$oliver_setting_font_size_nav_menu}px; } }";
		
		
		$oliver_setting_font_size_excerpt = get_theme_mod('oliver_setting_font_size_excerpt', '16');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .blog-stream .entry-content { font-size: {$oliver_setting_font_size_excerpt}px; } }";
		
		
		$oliver_setting_font_size_blog_grid_excerpt = get_theme_mod('oliver_setting_font_size_blog_grid_excerpt', '14');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .blog-stream.blog-small .entry-content { font-size: {$oliver_setting_font_size_blog_grid_excerpt}px; } }";
		
		
		$oliver_setting_font_size_sidebar = get_theme_mod('oliver_setting_font_size_sidebar', '14');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .sidebar { font-size: {$oliver_setting_font_size_sidebar}px; } }";
		
		
		$oliver_setting_font_size_sidebar_widget_title = get_theme_mod('oliver_setting_font_size_sidebar_widget_title', '12');
		
		$customizer_css .= PHP_EOL . PHP_EOL . ".widget-title { font-size: {$oliver_setting_font_size_sidebar_widget_title}px; }";
		
		
		$oliver_setting_font_size_nav_sub_menu = get_theme_mod('oliver_setting_font_size_nav_sub_menu', '11');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .nav-menu ul ul { font-size: {$oliver_setting_font_size_nav_sub_menu}px; } }";
		
		
		$oliver_setting_intro_font_size = get_theme_mod('oliver_setting_intro_font_size', '38');
		
		if ($oliver_setting_intro_font_size != '38')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .intro h1 { font-size: {$oliver_setting_intro_font_size}px; } }";
		}
		
		$oliver_setting_font_size_meta = get_theme_mod('oliver_setting_font_size_meta', '12');
		
		$customizer_css .= PHP_EOL . PHP_EOL . ".entry-meta { font-size: {$oliver_setting_font_size_meta}px; }";
		
		
		
		$oliver_setting_font_weight_text_logo = get_theme_mod('oliver_setting_font_weight_text_logo', "");
		
		if ($oliver_setting_font_weight_text_logo != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-title { font-weight: {$oliver_setting_font_weight_text_logo}; }";
		}
		
		$oliver_setting_font_weight_h1 = get_theme_mod('oliver_setting_font_weight_h1', '400');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "h1, .entry-title, .footer-subscribe h3 { font-weight: {$oliver_setting_font_weight_h1}; }";
		
		
		$oliver_setting_font_weight_h2_h6 = get_theme_mod('oliver_setting_font_weight_h2_h6', '400');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "h2, h3, h4, h5, h6, blockquote, .comment-meta .fn { font-weight: {$oliver_setting_font_weight_h2_h6}; }";
		
		
		$oliver_setting_font_weight_slider_title = get_theme_mod('oliver_setting_font_weight_slider_title', "");
		
		if ($oliver_setting_font_weight_slider_title != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".slider-box .entry-title { font-weight: {$oliver_setting_font_weight_slider_title}; }";
		}
		
		$oliver_setting_font_weight_sidebar_widget_title = get_theme_mod('oliver_setting_font_weight_sidebar_widget_title', '700');
		
		$customizer_css .= PHP_EOL . PHP_EOL . ".widget-title { font-weight: {$oliver_setting_font_weight_sidebar_widget_title}; }";
		
		
		$oliver_setting_font_weight_nav_menu = get_theme_mod('oliver_setting_font_weight_nav_menu', '700');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .nav-menu > ul { font-weight: {$oliver_setting_font_weight_nav_menu}; } }";
		
		
		$oliver_setting_font_weight_nav_sub_menu = get_theme_mod('oliver_setting_font_weight_nav_sub_menu', "");
		
		if ($oliver_setting_font_weight_nav_sub_menu != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .nav-menu ul ul { font-weight: {$oliver_setting_font_weight_nav_sub_menu}; } }";
		}
		
		$oliver_setting_intro_font_weight = get_theme_mod('oliver_setting_intro_font_weight', "");
		
		if ($oliver_setting_intro_font_weight != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".intro h1 { font-weight: {$oliver_setting_intro_font_weight}; }";
		}
		
		$oliver_setting_font_weight_link_box_title = get_theme_mod('oliver_setting_font_weight_link_box_title', "");
		
		if ($oliver_setting_font_weight_link_box_title != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".link-box .entry-title { font-weight: {$oliver_setting_font_weight_link_box_title}; }";
		}
		
		
		$oliver_setting_letter_spacing_main_slider_title = get_theme_mod('oliver_setting_letter_spacing_main_slider_title', '0');
		
		if ($oliver_setting_letter_spacing_main_slider_title != '0')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .slider-box .entry-title { letter-spacing: {$oliver_setting_letter_spacing_main_slider_title}px; } }";
		}
		
		$oliver_setting_letter_spacing_nav_menu = get_theme_mod('oliver_setting_letter_spacing_nav_menu', '1');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .nav-menu > ul { letter-spacing: {$oliver_setting_letter_spacing_nav_menu}px; } }";
		
		
		$oliver_setting_letter_spacing_nav_sub_menu = get_theme_mod('oliver_setting_letter_spacing_nav_sub_menu', '1');
		
		if ($oliver_setting_letter_spacing_nav_sub_menu != '1')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .nav-menu ul ul { letter-spacing: {$oliver_setting_letter_spacing_nav_sub_menu}px; } }";
		}
		
		$oliver_setting_letter_spacing_sidebar_widget_title = get_theme_mod('oliver_setting_letter_spacing_sidebar_widget_title', '6');
		
		$customizer_css .= PHP_EOL . PHP_EOL . ".widget-title { letter-spacing: {$oliver_setting_letter_spacing_sidebar_widget_title}px; }";
		
		
		$oliver_setting_intro_letter_spacing = get_theme_mod('oliver_setting_intro_letter_spacing', '0');
		
		if ($oliver_setting_intro_letter_spacing != '0')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".intro h1 { letter-spacing: {$oliver_setting_intro_letter_spacing}px; }";
		}
		
		$oliver_setting_letter_spacing_link_box_title = get_theme_mod('oliver_setting_letter_spacing_link_box_title', '0');
		
		if ($oliver_setting_letter_spacing_link_box_title != '0')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .link-box .entry-title { letter-spacing: {$oliver_setting_letter_spacing_link_box_title}px; } }";
		}
		
		
		$oliver_setting_intro_text_transform = get_theme_mod('oliver_setting_intro_text_transform', "");
		
		if ($oliver_setting_intro_text_transform != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".intro h1 { text-transform: {$oliver_setting_intro_text_transform}; }";
		}
		
		$oliver_setting_text_transform_h1 = get_theme_mod('oliver_setting_text_transform_h1', "");
		
		if ($oliver_setting_text_transform_h1 != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "h1, .entry-title, .footer-subscribe h3, .widget_categories ul li, .widget_recent_entries ul li, .widget_pages ul li, .widget_archive ul li, .widget_calendar table caption, .tptn_title, .nav-single a { text-transform: {$oliver_setting_text_transform_h1}; }";
		}
		
		$oliver_setting_text_transform_h2_h6 = get_theme_mod('oliver_setting_text_transform_h2_h6', "");
		
		if ($oliver_setting_text_transform_h2_h6 != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "h2, h3, h4, h5, h6, blockquote, .comment-meta .fn { text-transform: {$oliver_setting_text_transform_h2_h6}; }";
		}
		
		
		$oliver_setting_body_line_height = get_theme_mod('oliver_setting_body_line_height', '1.7');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { html { line-height: {$oliver_setting_body_line_height}; } }";
		
		
		
		$oliver_setting_logo_height = get_theme_mod('oliver_setting_logo_height', '140');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .site-header .site-title img { max-height: {$oliver_setting_logo_height}px; } }";
		
		
		$oliver_setting_logo_height_mobile = get_theme_mod('oliver_setting_logo_height_mobile', '60');
		
		if ($oliver_setting_logo_height_mobile != '60')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (max-width: 991px) { .site-title img { max-height: {$oliver_setting_logo_height_mobile}px; } }";
		}
		
		$oliver_setting_logo_margin = get_theme_mod('oliver_setting_logo_margin', '70');
		
		$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .site-branding { padding: {$oliver_setting_logo_margin}px 0; } }";
		
		
		
		$oliver_setting_intro_top_bottom_padding = get_theme_mod('oliver_setting_intro_top_bottom_padding', "");
		
		if ($oliver_setting_intro_top_bottom_padding != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .intro { padding: {$oliver_setting_intro_top_bottom_padding}px 0; } }";
		}
		
		$oliver_setting_body_top_bottom_margin = get_theme_mod('oliver_setting_body_top_bottom_margin', "");
		
		if ($oliver_setting_body_top_bottom_margin != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "@media screen and (min-width: 992px) { .site { margin-top: {$oliver_setting_body_top_bottom_margin}px; margin-bottom: {$oliver_setting_body_top_bottom_margin}px; } }";
		}
		
		
		$oliver_setting_content_width = get_theme_mod('oliver_setting_content_width', '1060');
		
		if ($oliver_setting_content_width != '1060')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".layout-medium, .is-header-row .header-wrap-inner, .is-header-small .header-wrap-inner, .is-menu-bar.is-menu-fixed-bg .menu-wrap, .is-header-fixed-width .header-wrap, .is-header-fixed-width.is-menu-bar .site-navigation, .is-body-boxed .site, .is-body-boxed .header-wrap, .is-body-boxed.is-menu-bar .site-navigation, .is-body-boxed:not(.is-menu-bar) .site-header, .is-middle-boxed .site-main, .intro-content, .is-footer-boxed .site-footer, .is-content-boxed .site-main .layout-fixed { max-width: {$oliver_setting_content_width}px; }";
		}
		
		$oliver_setting_page_post_content_width = get_theme_mod('oliver_setting_page_post_content_width', '740');
		
		if ($oliver_setting_page_post_content_width != '740')
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".layout-fixed, .blog-list, .blog-regular, .is-content-boxed .single .site-content, .is-content-boxed .page .site-content { max-width: {$oliver_setting_page_post_content_width}px; }";
		}
		
		
		$oliver_setting_color_link = get_theme_mod('oliver_setting_color_link', "");
		
		if ($oliver_setting_color_link != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "a { color: {$oliver_setting_color_link}; }";
		}
		
		$oliver_setting_color_link_hover = get_theme_mod('oliver_setting_color_link_hover', "");
		
		if ($oliver_setting_color_link_hover != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "a:hover { color: {$oliver_setting_color_link_hover}; }";
		}
		
		
		$oliver_setting_color_header_bg = get_theme_mod('oliver_setting_color_header_bg', "");
		
		if ($oliver_setting_color_header_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-header .header-wrap { background-color: {$oliver_setting_color_header_bg}; }";
		}
		
		$oliver_setting_header_bg_img = get_theme_mod('oliver_setting_header_bg_img', "");
		
		if ($oliver_setting_header_bg_img != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-header .header-wrap { background-image: url({$oliver_setting_header_bg_img}); }";
		}
		
		
		// start Header Mask Style
		$oliver_setting_color_header_mask_1 = get_theme_mod('oliver_setting_color_header_mask_1', "");
		$oliver_setting_color_header_mask_2 = get_theme_mod('oliver_setting_color_header_mask_2', "");
		$oliver_setting_header_mask_style   = get_theme_mod('oliver_setting_header_mask_style', 'none');
		
		if ($oliver_setting_header_mask_style != 'none')
		{
			if (($oliver_setting_header_mask_style == 'solid') && ($oliver_setting_color_header_mask_1 != ""))
			{
				$customizer_css .= PHP_EOL . PHP_EOL . ".header-wrap:before { background: {$oliver_setting_color_header_mask_1}; }";
			}
			elseif (($oliver_setting_header_mask_style == 'vertical') && ($oliver_setting_color_header_mask_1 != "") && ($oliver_setting_color_header_mask_2 != ""))
			{
				$customizer_css .= PHP_EOL . PHP_EOL . ".header-wrap:before { background: linear-gradient({$oliver_setting_color_header_mask_1}, {$oliver_setting_color_header_mask_2}); }";
			}
			elseif (($oliver_setting_header_mask_style == 'horizontal') && ($oliver_setting_color_header_mask_1 != "") && ($oliver_setting_color_header_mask_2 != ""))
			{
				$customizer_css .= PHP_EOL . PHP_EOL . ".header-wrap:before { background: linear-gradient(to right, {$oliver_setting_color_header_mask_1}, {$oliver_setting_color_header_mask_2}); }";
			}
			elseif (($oliver_setting_header_mask_style == 'radial') && ($oliver_setting_color_header_mask_1 != "") && ($oliver_setting_color_header_mask_2 != ""))
			{
				$customizer_css .= PHP_EOL . PHP_EOL . ".header-wrap:before { background: radial-gradient(circle, {$oliver_setting_color_header_mask_1}, {$oliver_setting_color_header_mask_2}); }";
			}
		}
		// end Header Mask Style
		
		
		$oliver_setting_header_mask_opacity = get_theme_mod('oliver_setting_header_mask_opacity', "");
		
		if ($oliver_setting_header_mask_opacity != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".header-wrap:before { opacity: {$oliver_setting_header_mask_opacity}; }";
		}
		
		
		$oliver_setting_intro_mask_color = get_theme_mod('oliver_setting_intro_mask_color', "");
		
		if ($oliver_setting_intro_mask_color != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".intro:before { background: {$oliver_setting_intro_mask_color}; }";
		}
		
		$oliver_setting_intro_mask_opacity = get_theme_mod('oliver_setting_intro_mask_opacity', "");
		
		if ($oliver_setting_intro_mask_opacity != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".intro:before { opacity: {$oliver_setting_intro_mask_opacity}; }";
		}
		
		
		$oliver_setting_color_menu_bg = get_theme_mod('oliver_setting_color_menu_bg', "");
		
		if ($oliver_setting_color_menu_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-header .menu-wrap { background-color: {$oliver_setting_color_menu_bg}; }";
		}
		
		$oliver_setting_color_menu_link_hover = get_theme_mod('oliver_setting_color_menu_link_hover', "");
		
		if ($oliver_setting_color_menu_link_hover != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".nav-menu ul a:hover { color: {$oliver_setting_color_menu_link_hover}; }";
		}
		
		$oliver_setting_color_body_text = get_theme_mod('oliver_setting_color_body_text', '#222222');
		
		if ($oliver_setting_color_body_text != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "body { color: {$oliver_setting_color_body_text}; }";
		}
		
		$oliver_setting_color_body_bg = get_theme_mod('oliver_setting_color_body_bg', "");
		
		if ($oliver_setting_color_body_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "body { background: {$oliver_setting_color_body_bg}; }";
		}
		
		$oliver_setting_color_footer_bg = get_theme_mod('oliver_setting_color_footer_bg', "");
		
		if ($oliver_setting_color_footer_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-footer { background: {$oliver_setting_color_footer_bg}; }";
		}
		
		$oliver_setting_color_footer_subscribe_bg = get_theme_mod('oliver_setting_color_footer_subscribe_bg', '#ffffff');
		
		if ($oliver_setting_color_footer_subscribe_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site .footer-subscribe { background: {$oliver_setting_color_footer_subscribe_bg}; }";
		}
		
		$oliver_setting_color_copyright_bar_bg = get_theme_mod('oliver_setting_color_copyright_bar_bg', "");
		
		if ($oliver_setting_color_copyright_bar_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-footer .site-info { background-color: {$oliver_setting_color_copyright_bar_bg}; }";
		}
		
		$oliver_setting_color_copyright_bar_text = get_theme_mod('oliver_setting_color_copyright_bar_text', "");
		
		if ($oliver_setting_color_copyright_bar_text != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".site-footer .site-info { color: {$oliver_setting_color_copyright_bar_text}; }";
		}
		
		$oliver_setting_color_cat_link_bg_border = get_theme_mod('oliver_setting_color_cat_link_bg_border', "");
		
		if ($oliver_setting_color_cat_link_bg_border != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-cat-link-regular .cat-links a, .is-cat-link-borders .cat-links a, .is-cat-link-border-bottom .cat-links a, .is-cat-link-borders-light .cat-links a { color: {$oliver_setting_color_cat_link_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-cat-link-borders .cat-links a, .is-cat-link-borders-light .cat-links a, .is-cat-link-border-bottom .cat-links a, .is-cat-link-ribbon .cat-links a:before, .is-cat-link-ribbon .cat-links a:after, .is-cat-link-ribbon-left .cat-links a:before, .is-cat-link-ribbon-right .cat-links a:after, .is-cat-link-ribbon.is-cat-link-ribbon-dark .cat-links a:before, .is-cat-link-ribbon.is-cat-link-ribbon-dark .cat-links a:after, .is-cat-link-ribbon-left.is-cat-link-ribbon-dark .cat-links a:before, .is-cat-link-ribbon-right.is-cat-link-ribbon-dark .cat-links a:after { border-color: {$oliver_setting_color_cat_link_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-cat-link-solid .cat-links a, .is-cat-link-solid-light .cat-links a, .is-cat-link-ribbon .cat-links a, .is-cat-link-ribbon-left .cat-links a, .is-cat-link-ribbon-right .cat-links a, .is-cat-link-ribbon.is-cat-link-ribbon-dark .cat-links a, .is-cat-link-ribbon-left.is-cat-link-ribbon-dark .cat-links a, .is-cat-link-ribbon-right.is-cat-link-ribbon-dark .cat-links a { background: {$oliver_setting_color_cat_link_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-cat-link-underline .cat-links a { box-shadow: inset 0 -7px 0 {$oliver_setting_color_cat_link_bg_border}; }";
		}
		
		$oliver_setting_color_slider_meta_bg_border = get_theme_mod('oliver_setting_color_slider_meta_bg_border', "");
		
		if ($oliver_setting_color_slider_meta_bg_border != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".main-slider-post.is-cat-link-regular .cat-links a, .main-slider-post.is-cat-link-border-bottom .cat-links a, .main-slider-post.is-cat-link-borders .cat-links a, .main-slider-post.is-cat-link-borders-light .cat-links a, .main-slider-post.is-cat-link-line-before .cat-links a, .main-slider-post.is-cat-link-dots-bottom .cat-links a:before { color: {$oliver_setting_color_slider_meta_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".main-slider-post.is-cat-link-borders .cat-links a, .main-slider-post.is-cat-link-borders-light .cat-links a, .main-slider-post.is-cat-link-border-bottom .cat-links a, .main-slider-post.is-cat-link-line-before .cat-links a:before, .main-slider-post.is-cat-link-ribbon .cat-links a:before, .main-slider-post.is-cat-link-ribbon .cat-links a:after, .main-slider-post.is-cat-link-ribbon-left .cat-links a:before, .main-slider-post.is-cat-link-ribbon-right .cat-links a:after { border-color: {$oliver_setting_color_slider_meta_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".main-slider-post.is-cat-link-solid .cat-links a, .main-slider-post.is-cat-link-solid-light .cat-links a, .main-slider-post.is-cat-link-ribbon .cat-links a, .main-slider-post.is-cat-link-ribbon-left .cat-links a, .main-slider-post.is-cat-link-ribbon-right .cat-links a { background: {$oliver_setting_color_slider_meta_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".main-slider-post.is-cat-link-underline .cat-links a { box-shadow: inset 0 -7px 0 {$oliver_setting_color_slider_meta_bg_border}; }";
		}
		
		$oliver_setting_color_widget_witle_bg_border = get_theme_mod('oliver_setting_color_widget_witle_bg_border', "");
		
		if ($oliver_setting_color_widget_witle_bg_border != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-widget-ribbon .site-main .widget-title span, .is-widget-solid .site-main .widget-title span, .is-widget-solid-arrow .site-main .widget-title span, .is-widget-first-letter-solid .site-main .widget-title span:first-letter { background: {$oliver_setting_color_widget_witle_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-widget-ribbon .site-main .widget-title span:before, .is-widget-ribbon .site-main .widget-title span:after, .is-widget-border .site-main .widget-title span, .is-widget-border-arrow .site-main .widget-title span, .is-widget-bottomline .site-main .widget-title:after, .is-widget-first-letter-border .site-main .widget-title span:first-letter, .is-widget-line-cut .site-main .widget-title span:before, .is-widget-line-cut .site-main .widget-title span:after, .is-widget-line-cut-center .site-main .widget-title span:before, .is-widget-line-cut-center .site-main .widget-title span:after { border-color: {$oliver_setting_color_widget_witle_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-widget-border-arrow .site-main .widget-title span:before, .is-widget-solid-arrow .site-main .widget-title span:after { border-top-color: {$oliver_setting_color_widget_witle_bg_border}; }";
			
			$customizer_css .= PHP_EOL . PHP_EOL . ".is-widget-underline .site-main .widget-title span { box-shadow: inset 0 -6px 0 {$oliver_setting_color_widget_witle_bg_border}; }";
		}
		
		$oliver_setting_color_button_hover_bg = get_theme_mod('oliver_setting_color_button_hover_bg', "");
		
		if ($oliver_setting_color_button_hover_bg != "")
		{
			$customizer_css .= PHP_EOL . PHP_EOL . "input[type=submit]:hover, input[type=button]:hover, button:hover, a.button:hover, .more-link:hover { background-color: {$oliver_setting_color_button_hover_bg}; }";
		}
		
		
		wp_add_inline_style('oliver-oliver', $customizer_css);
	}
	
	
	function oliver_after_setup_theme__inline_style()
	{
		add_action('wp_enqueue_scripts', 'oliver_enqueue__inline_style');
	}
	
	add_action('after_setup_theme', 'oliver_after_setup_theme__inline_style');

?>