<?php
	$oliver_body_layout       = get_theme_mod('oliver_setting_body_layout', 'is-body-full-width');
	$oliver_post_title_style  = get_theme_mod('oliver_setting_post_title_style', 'is-single-post-title-default');
	$oliver_post_title_align  = get_theme_mod('oliver_setting_post_page_title_text_align', 'is-post-title-align-center');
	$oliver_post_media_width  = get_theme_mod('oliver_setting_post_media_width', 'is-post-media-overflow');
	$oliver_blog_text_align   = get_theme_mod('oliver_setting_blog_text_align', 'is-blog-text-align-center');
	$oliver_meta_prefix_style = get_theme_mod('oliver_setting_meta_prefix_style', 'is-meta-with-none');
	
	$oliver_header_layout = get_theme_mod('oliver_setting_header_layout', 'is-menu-bottom is-menu-bar');
	
	if (isset($_GET['header_layout']))
	{
		if ($_GET['header_layout'] == 'small')
		{
			$oliver_header_layout = 'is-header-small';
		}
		elseif ($_GET['header_layout'] == 'one_row')
		{
			$oliver_header_layout = 'is-header-row';
		}
		elseif ($_GET['header_layout'] == 'menu_bottom')
		{
			$oliver_header_layout = 'is-menu-bottom is-menu-bar';
		}
		else
		{
			$oliver_header_layout = 'is-menu-top is-menu-bar';
		}
	}
	
	$oliver_header_text_color 	   = get_theme_mod('oliver_setting_header_text_color', 'is-header-light');
	$oliver_header_width 		   = get_theme_mod('oliver_setting_header_width', 'is-header-fixed-width');
	$oliver_header_parallax_effect = get_theme_mod('oliver_setting_header_parallax_effect', 'is-header-parallax-no');
	
	$oliver_menu_behaviour   		   = get_theme_mod('oliver_setting_menu_behaviour', 'is-menu-sticky is-menu-smart-sticky');
	$oliver_menu_width   			   = get_theme_mod('oliver_setting_menu_width', 'is-menu-fixed-width');
	$oliver_header_menu_align          = get_theme_mod('oliver_setting_header_menu_align', 'is-menu-align-center');
	$oliver_header_menu_style          = get_theme_mod('oliver_setting_header_menu_style', 'is-menu-light');
	$oliver_header_sub_menu_style      = get_theme_mod('oliver_setting_header_sub_menu_style', 'is-submenu-dark');
	$oliver_header_sub_menu_align      = get_theme_mod('oliver_setting_header_sub_menu_align', 'is-submenu-align-center');
	$oliver_header_menu_text_transform = get_theme_mod('oliver_setting_header_menu_text_transform', 'is-menu-uppercase');
	
	$oliver_feat_area_width = get_theme_mod('oliver_setting_feat_area_width', 'is-featured-area-fixed');
	
	$oliver_main_slider_nav_position    	 = get_theme_mod('oliver_setting_main_slider_nav_position', 'is-slider-buttons-center-margin');
	$oliver_main_slider_nav_shape       	 = get_theme_mod('oliver_setting_main_slider_nav_shape', 'is-slider-buttons-rounded');
	$oliver_main_slider_nav_style       	 = get_theme_mod('oliver_setting_main_slider_nav_style', 'is-slider-buttons-dark');
	$oliver_main_slider_title_style     	 = get_theme_mod('oliver_setting_main_slider_title_style', 'is-slider-title-default');
	$oliver_main_slider_parallax_effect 	 = get_theme_mod('oliver_setting_main_slider_parallax_effect', 'is-slider-parallax-no');
	$oliver_main_slider_title_transform 	 = get_theme_mod('oliver_setting_main_slider_title_text_transform', 'is-slider-title-none-uppercase');
	$oliver_main_slider_more_link_visibility = get_theme_mod('oliver_setting_main_slider_more_link_visibility', 'is-slider-more-link-show');
	$oliver_main_slider_more_link_style 	 = get_theme_mod('oliver_setting_main_slider_more_link_style', 'is-slider-more-link-border-bottom');
	$oliver_main_slider_text_align 			 = get_theme_mod('oliver_setting_main_slider_text_align', 'is-slider-text-align-left');
	$oliver_main_slider_vertical_align 		 = get_theme_mod('oliver_setting_main_slider_vertical_align', 'is-slider-v-align-bottom');
	$oliver_main_slider_horizontal_align 	 = get_theme_mod('oliver_setting_main_slider_horizontal_align', 'is-slider-h-align-left');
	
	$oliver_link_box_title_style 	 = get_theme_mod('oliver_setting_link_box_title_style', 'is-link-box-title-default');
	$oliver_link_box_text_transform  = get_theme_mod('oliver_setting_link_box_text_transform', 'is-link-box-title-transform-none');
	$oliver_link_box_text_align 	 = get_theme_mod('oliver_setting_link_box_text_align', 'is-link-box-text-align-center');
	$oliver_link_box_vertical_align  = get_theme_mod('oliver_setting_link_box_vertical_align', 'is-link-box-v-align-center');
	$oliver_link_box_parallax_effect = get_theme_mod('oliver_setting_link_box_parallax_effect', 'is-link-box-parallax-no');
	
	$oliver_intro_text_align 	  = get_theme_mod('oliver_setting_intro_text_align', 'is-intro-align-center');
	$oliver_intro_text_color 	  = get_theme_mod('oliver_setting_intro_text_color', 'is-intro-text-dark');
	$oliver_intro_parallax_bg_img = get_theme_mod('oliver_setting_intro_parallax_bg_img', 'is-intro-parallax-no');
	
	$oliver_more_link_style 			  = get_theme_mod('oliver_setting_more_link_style', 'is-more-link-border-bottom-dotted');
	$oliver_author_info_box_style 		  = get_theme_mod('oliver_setting_author_info_box_style', 'is-about-author-minimal');
	$oliver_related_posts_parallax_effect = get_theme_mod('oliver_setting_related_posts_parallax_effect', 'is-related-posts-parallax-no');
	$oliver_related_posts_width 		  = get_theme_mod('oliver_setting_related_posts_width', 'is-related-posts-fixed');
	$oliver_share_links_style 			  = get_theme_mod('oliver_setting_share_links_style', 'is-share-links-minimal');
	$oliver_tag_cloud_style 			  = get_theme_mod('oliver_setting_tag_cloud_style', 'is-tagcloud-minimal');
	$oliver_post_nav_image 				  = get_theme_mod('oliver_setting_post_nav_image', 'is-nav-single-rounded');
	$oliver_post_nav_animated 			  = get_theme_mod('oliver_setting_post_nav_animated', 'is-nav-single-no-animated');
	$oliver_comments_style 				  = get_theme_mod('oliver_setting_comments_style', 'is-comments-minimal');
	$oliver_comment_image_shape 		  = get_theme_mod('oliver_setting_comment_image_shape', 'is-comments-image-rounded');
	$oliver_comment_form_style 			  = get_theme_mod('oliver_setting_comment_form_style', 'is-comment-form-minimal');
	
	$oliver_sidebar_position 		   = get_theme_mod('oliver_setting_sidebar_position', 'is-sidebar-right');
	$oliver_sidebar_sticky 			   = get_theme_mod('oliver_setting_sidebar_sticky', 'is-sidebar-sticky');
	$oliver_sidebar_widget_text_align  = get_theme_mod('oliver_setting_sidebar_widget_text_align', 'is-sidebar-align-left');
	$oliver_sidebar_widget_title_align = get_theme_mod('oliver_setting_sidebar_widget_title_align', 'is-widget-title-align-left');
	$oliver_sidebar_widget_title_style = get_theme_mod('oliver_setting_sidebar_widget_title_style', 'is-widget-underline');
	
	$oliver_footer_subscribe_style   = get_theme_mod('oliver_setting_footer_subscribe_style', 'is-footer-subscribe-light');
	$oliver_footer_widget_text_align = get_theme_mod('oliver_setting_footer_widget_text_align', 'is-footer-widgets-align-left');
	$oliver_footer_layout 			 = get_theme_mod('oliver_setting_footer_layout', 'is-footer-boxed');
	
	$oliver_font_title_ratio_slider   = get_theme_mod('oliver_setting_font_title_ratio', '0.3');
	$oliver_font_title_ratio_link_box = get_theme_mod('oliver_setting_font_title_ratio_link_box', '0.5');
?>
<!doctype html>
<html <?php language_attributes(); ?> class="<?php if ((is_home() && is_active_sidebar('oliver_sidebar_13')) || (is_page_template('page_template-latest_posts.php') && is_active_sidebar('oliver_sidebar_14'))) { echo 'is-featured-area-on '; } else { echo 'no-featured-area '; } ?><?php echo esc_attr($oliver_body_layout); ?> <?php echo esc_attr($oliver_post_title_style); ?> <?php echo esc_attr($oliver_post_title_align); ?> <?php echo esc_attr($oliver_post_media_width); ?> <?php echo esc_attr($oliver_blog_text_align); ?> <?php echo esc_attr($oliver_meta_prefix_style); ?> <?php echo esc_attr($oliver_menu_width); ?> <?php echo esc_attr($oliver_menu_behaviour); ?> <?php echo esc_attr($oliver_sidebar_position); ?> <?php echo esc_attr($oliver_sidebar_sticky); ?> <?php echo esc_attr($oliver_sidebar_widget_text_align); ?> <?php echo esc_attr($oliver_sidebar_widget_title_align); ?> <?php echo esc_attr($oliver_sidebar_widget_title_style); ?> <?php echo esc_attr($oliver_footer_subscribe_style); ?> <?php echo esc_attr($oliver_footer_widget_text_align); ?> <?php echo esc_attr($oliver_footer_layout); ?> <?php echo esc_attr($oliver_header_layout); ?> <?php echo esc_attr($oliver_header_text_color); ?> <?php echo esc_attr($oliver_header_width); ?> <?php echo esc_attr($oliver_header_parallax_effect); ?> <?php echo esc_attr($oliver_header_menu_align); ?> <?php echo esc_attr($oliver_header_menu_style); ?> <?php echo esc_attr($oliver_header_sub_menu_style); ?> <?php echo esc_attr($oliver_header_sub_menu_align); ?> <?php echo esc_attr($oliver_header_menu_text_transform); ?> <?php echo esc_attr($oliver_feat_area_width); ?> <?php echo esc_attr($oliver_main_slider_nav_position); ?> <?php echo esc_attr($oliver_main_slider_nav_shape); ?> <?php echo esc_attr($oliver_main_slider_nav_style); ?> <?php echo esc_attr($oliver_main_slider_title_style); ?> <?php echo esc_attr($oliver_main_slider_parallax_effect); ?> <?php echo esc_attr($oliver_main_slider_title_transform); ?> <?php echo esc_attr($oliver_main_slider_more_link_visibility); ?> <?php echo esc_attr($oliver_main_slider_more_link_style); ?> <?php echo esc_attr($oliver_main_slider_text_align); ?> <?php echo esc_attr($oliver_main_slider_vertical_align); ?> <?php echo esc_attr($oliver_main_slider_horizontal_align); ?> <?php echo esc_attr($oliver_link_box_title_style); ?> <?php echo esc_attr($oliver_link_box_text_transform); ?> <?php echo esc_attr($oliver_link_box_text_align); ?> <?php echo esc_attr($oliver_link_box_vertical_align); ?> <?php echo esc_attr($oliver_link_box_parallax_effect); ?> <?php echo esc_attr($oliver_intro_text_align); ?> <?php echo esc_attr($oliver_intro_text_color); ?> <?php echo esc_attr($oliver_intro_parallax_bg_img); ?> <?php echo esc_attr($oliver_more_link_style); ?> <?php echo esc_attr($oliver_author_info_box_style); ?> <?php echo esc_attr($oliver_related_posts_parallax_effect); ?> <?php echo esc_attr($oliver_related_posts_width); ?> <?php echo esc_attr($oliver_share_links_style); ?> <?php echo esc_attr($oliver_tag_cloud_style); ?> <?php echo esc_attr($oliver_post_nav_image); ?> <?php echo esc_attr($oliver_post_nav_animated); ?> <?php echo esc_attr($oliver_comments_style); ?> <?php echo esc_attr($oliver_comment_image_shape); ?> <?php echo esc_attr($oliver_comment_form_style); ?>" data-title-ratio="<?php echo esc_attr($oliver_font_title_ratio_slider); ?>" data-link-box-title-ratio="<?php echo esc_attr($oliver_font_title_ratio_link_box); ?>">
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<?php
		$oliver_mobile_zoom = get_theme_mod('oliver_setting_mobile_zoom', 'Yes');
		
		if ($oliver_mobile_zoom == 'No')
		{
			?>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
			<?php
		}
		else
		{
			?>
<meta name="viewport" content="width=device-width, initial-scale=1">
			<?php
		}
	?>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php
		wp_head();
	?>
</head>

<body <?php body_class(); ?>>
    <div id="page" class="hfeed site">
        <header id="masthead" class="site-header" role="banner">
			<?php
				$oliver_header_bg_video = get_theme_mod('oliver_setting_header_bg_video', "");
			?>
			<div class="header-wrap" data-parallax-video="<?php echo esc_url($oliver_header_bg_video); ?>">
				<div class="header-wrap-inner">
					<?php
						if ($oliver_header_layout == 'is-menu-bottom is-menu-bar')
						{
							oliver_site_branding();
							oliver_site_navigation();
						}
						else
						{
							oliver_site_navigation();
							oliver_site_branding();
						}
					?>
				</div> <!-- .header-wrap-inner -->
			</div> <!-- .header-wrap -->
        </header> <!-- #masthead .site-header -->