        <footer id="colophon" class="site-footer" role="contentinfo">
			<?php
				if (is_active_sidebar('oliver_sidebar_5'))
				{
					?>
						<div class="footer-subscribe">
							<div class="layout-medium">
								<?php
									dynamic_sidebar('oliver_sidebar_5');
								?>
							</div>
						</div>
					<?php
				}
			?>
			
			<?php
				if (is_active_sidebar('oliver_sidebar_6'))
				{
					?>
						<div class="footer-insta">
							<?php
								dynamic_sidebar('oliver_sidebar_6');
							?>
						</div>
					<?php
				}
			?>
			
			<?php
				if (is_active_sidebar('oliver_sidebar_9') || 
					is_active_sidebar('oliver_sidebar_10') || 
					is_active_sidebar('oliver_sidebar_11') || 
					is_active_sidebar('oliver_sidebar_12'))
				{
					?>
						<div class="footer-widgets widget-area">
							<div class="layout-medium">
								<div class="row">
									<?php
										$oliver_footer_columns = get_theme_mod('oliver_setting_footer_columns', '4');
										
										if ($oliver_footer_columns == '3')
										{
											oliver_footer_columns_3();
										}
										else
										{
											oliver_footer_columns_4();
										}
									?>
								</div>
							</div>
						</div>
					<?php
				}
			?>
			
			<?php
				if (is_active_sidebar('oliver_sidebar_7'))
				{
					?>
						<div class="site-info">
							<?php
								dynamic_sidebar('oliver_sidebar_7');
							?>
						</div>
					<?php
				}
			?>
		</footer>
	</div>
    
	<?php
		wp_footer();
	?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>